Page MenuHomePhabricator

Expose cloudelastic to wmf cloud
Closed, ResolvedPublic

Description

To make the cloudelastic service publicly available we need to expose it to the appropriate networks. Basic plan:

  • Add a new port that only allows GET requests
    • Optionally, if possible, allow POST to ^/.*/_m?search$
  • Expose that port, via ferm, to the wmfcloud srange

A new port is used, rather than the existing tlsproxy port, as the new port needs to be read only. It will be easier to guarantee things are configured properly accepting production write traffic on separate ports from the read only traffic.

Event Timeline

Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptMay 17 2019, 8:34 AM

Change 510823 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[operations/puppet@production] [WIP] Expose cloudelastic to wmfcloud

https://gerrit.wikimedia.org/r/510823

Change 510823 merged by Gehel:
[operations/puppet@production] Expose cloudelastic to wmfcloud

https://gerrit.wikimedia.org/r/510823

Krenair added a subscriber: Krinkle.EditedMay 18 2019, 6:25 AM

nice:

krenair@bastion-eqiad1-01:~$ python mwgrep.py '\$j[(.]'
arwiki              MediaWiki:Gadget-ContribsTabVector.js
arwiki              MediaWiki:RefToolbarBase.js
arwiki              MediaWiki:RefToolbarConfig.js
aswiki              MediaWiki:RefToolbarBase.js
be_x_oldwiki        MediaWiki:RefToolbarBase.js
be_x_oldwiki        MediaWiki:RefToolbarConfig.js
be_x_oldwiki        MediaWiki:RefToolbarNoDialogs.js
[lots of stuff]

(total: 90, shown: 90)
krenair@bastion-eqiad1-01:~$ python mwgrep.py --user noone
commonswiki         User:Alofok/monobook.js
commonswiki         User:Dschwen/ignore.js
enwiki              User:Dschwen/vector.js
enwiki              User:Jj137/typos.js
mediawikiwiki       User:Krenair/test.js
tawiki              User:Shriheeran/கருவிகள்.js

(total: 6, shown: 6)

(this is just modules/scap/files/mwgrep.py with the stuff about private wikis removed and the host changed to cloudelastic1001.wikimedia.org:8243)

TheDJ awarded a token.May 18 2019, 8:23 AM

Change 511381 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/puppet@production] cloudelastic: remove ocsp_proxy

https://gerrit.wikimedia.org/r/511381

debt closed this task as Resolved.May 28 2019, 11:55 PM
debt claimed this task.

Change 511381 merged by Gehel:
[operations/puppet@production] cloudelastic: remove ocsp_proxy

https://gerrit.wikimedia.org/r/511381